Subject: [PATCH 02/13] ARM: OMAP5: Add minimal support for OMAP5430 SOC

From: [email-masked] (Tony Lindgren)
Date: Mon, 7 May 2012 10:33:51 -0700

* R, Sricharan <[email-masked]> [120506 00:40]:
>
> > Also, please change the whole series to use CONFIG_SOC_OMAP5 instead
> > of CONFIG_ARCH_OMAP5. CONFIG_ARCH_OMAPXXXX stuff will go away except
> > for CONFIG_ARCH_OMAP2PLUS. Sorry forgot to mention that earlier.
> >
>  ok. sure. will change this.

Thanks.
 
> >> -#if defined(CONFIG_ARCH_OMAP4) && !(defined(CONFIG_ARCH_OMAP2) || ? ?\
> >> - ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? ? defined(CONFIG_ARCH_OMAP3))
> >> +#if (defined(CONFIG_ARCH_OMAP5) || defined(CONFIG_ARCH_OMAP4)) && \
> >> + ? ? ? ? ? ? !(defined(CONFIG_ARCH_OMAP2) || defined(CONFIG_ARCH_OMAP3))
> >> +
> >> ?static inline u32 omap2_prm_read_mod_reg(s16 module, u16 idx)
> >> ?{
> >> ? ? ? WARN(1, "prm: omap2xxx/omap3xxx specific function and "
> >
> > Maybe these functions could be just set up as __weak to avoid the
> > ifdeffery?
> >
>  sorry to understand,
>  you mean make this weak and have a strong override for OMAP2 ?

Yeah that should do the trick, right?
 
Regards,

Tony